summaryrefslogtreecommitdiff
path: root/tests/mkdir/t-slash
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-12-02 14:02:34 +0000
committerJim Meyering <jim@meyering.net>2000-12-02 14:02:34 +0000
commit07584e33ec885be6b6394da14165da02ef3d6826 (patch)
treede9f02a7b3200282d22d56608b238b26982e44a8 /tests/mkdir/t-slash
parent33ba435db56d4ab70bc26f99c1742d445680e2dd (diff)
downloadcoreutils-07584e33ec885be6b6394da14165da02ef3d6826.tar.xz
add test that would fail on NetBSD before the last change
Diffstat (limited to 'tests/mkdir/t-slash')
-rwxr-xr-xtests/mkdir/t-slash7
1 files changed, 6 insertions, 1 deletions
diff --git a/tests/mkdir/t-slash b/tests/mkdir/t-slash
index 8a120cf6e..238394691 100755
--- a/tests/mkdir/t-slash
+++ b/tests/mkdir/t-slash
@@ -1,5 +1,6 @@
#!/bin/sh
-# make sure --parents works with a trailing slash
+# Ensure that mkdir works with arguments specified with and without
+# a trailing slash.
if test "$VERBOSE" = yes; then
set -x
@@ -25,4 +26,8 @@ fail=0
mkdir -p dir/ || fail=1
test -d dir || fail=1
+# This failed on NetBSD for fileutils-4.0.33.
+mkdir d2/ || fail=1
+test -d d2 || fail=1
+
(exit $fail); exit